Bug 43089 - doesn't understand -k, man page says it should
doesn't understand -k, man page says it should
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: cscope (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-31 15:05 EDT by Mark Frazer
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-15 17:47:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Frazer 2001-05-31 15:05:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.4 i686)

Description of problem:
[root@mjftest linux-2.4.5]# man cscope | grep -e -k
       -k     ``Kernel Mode'', turns off the use of the  default  include
       The  -I,  -c,  -k,  -p,  -q,  and  -T  options  can also be in the
[root@mjftest linux-2.4.5]# cscope -b -k 
cscope: unknown option: -k
Usage:  cscope [-bcCdelLqTuUV] [-f file] [-F file] [-i file] [-I dir] [-s
dir]
               [-p number] [-P path] [-[0-8] pattern] [source files]
[root@mjftest linux-2.4.5]# which cscope
/usr/bin/cscope
[root@mjftest linux-2.4.5]# rpm -qf /usr/bin/cscope
cscope-13.0-6
[root@mjftest linux-2.4.5]# 


How reproducible:
Always

Steps to Reproduce:
1. cscope -b -k *.c
2.
3.
	

Additional info:
Comment 1 Mark Frazer 2001-06-15 17:47:27 EDT
What info do you need?  The man page says cscope as shipped understands the -k
argument.  The program does not understand the argument.
Comment 2 Ngo Than 2001-08-14 12:45:47 EDT
It's fixed in cscope-13.0-7. You will find it on ftp://people.redhat.com/than

Note You need to log in before you can comment on or make changes to this bug.